/*
 *  Motore DC pilotato con transistor
 *  
 *  Il motore gira se si preme il bottone
 *
 *  Collegamenti:
 *  PIN 2 - bottone
 *  PIN 9 - transistor pilota
 *
 *  Istruzioni dettagliate sul sito
 *  http://glgprograms.tk/?p=elet/motoridc
 */

#define bottone 2     // bottone
#define motore 9      // motore

void setup() {
  // inizializza il bottone come input
  // e il motore come output
  pinMode(motore, OUTPUT);      
  pinMode(bottone, INPUT);     
}

void loop(){
  // Il motore ha lo stesso stato del bottore,
  // ovvero se premi il bottone, il motore gira
  digitalWrite(motore, digitalRead(bottone));
}

